------------------------------------------------------------------
--This SQL creates indexes required by Duplicate Sub Spec toolkit
------------------------------------------------------------------

CREATE INDEX ICTG_ICM_3
     ON TCTG_ICM_ITEM_CATEGORY_MAP
        (ICM_CATALOG_ID,
         ICM_COMPANY_ID,
         ICM_NEXT_VERSION_ID,
         ICM_ITEM_ID,
         ICM_CATEGORY_ID,
         ICM_CAT_TREE_ID)
    TABLESPACE INDX;

ANALYZE INDEX ICTG_ICM_3 COMPUTE STATISTICS;

CREATE INDEX ICTG_CSM_6
     ON TCTG_CSM_CATEGORY_SPEC_MAP
        (CSM_COMPANY_ID,
         CSM_NEXT_VERSION_ID,
         CSM_CATEGORY_ID,
         CSM_SPEC_ID,
         csm_cat_tree_id)
    TABLESPACE INDX;
    
ANALYZE INDEX ICTG_CSM_6 COMPUTE STATISTICS;  

CREATE INDEX ICTG_NOH_4
     ON TCTG_NOH_NODE_HIERARCHY
        (NOH_COMPANY_ID,
         NOH_NEXT_VERSION_ID,
         NOH_SPEC_ID,
         NOH_PARENT_NODE_ID,
         NOH_CHILD_NODE_ID)
    TABLESPACE INDX;

ANALYZE INDEX ICTG_NOH_4 COMPUTE STATISTICS;

CREATE INDEX ICTG_NOD_5
     ON TCTG_NOD_NODE
        (NOD_NEXT_VERSION_ID,
         NOD_COMPANY_ID,
         NOD_ID,
         NOD_SPEC_ID)
    TABLESPACE INDX;

ANALYZE INDEX ICTG_NOD_5 COMPUTE STATISTICS;

CREATE INDEX ICTG_CHI_2 
     ON TCTG_CHI_CATEGORY_HIERARCHY
       (chi_company_id, 
       chi_cat_tree_id,
       chi_next_version_id,
       chi_parent_id,
       chi_child_id)
    TABLESPACE INDX;

ANALYZE INDEX ICTG_CHI_2 COMPUTE STATISTICS;

CREATE INDEX ICTG_CSA_3
      ON TCTG_CSA_CAT_SYS_ATTR
       (csa_company_id, 
        csa_name, 
        csa_next_version_id, 
        csa_category_id, 
        csa_value)
   TABLESPACE INDX;

ANALYZE INDEX ICTG_CSA_3 COMPUTE STATISTICS;

CREATE INDEX ICTG_CTA_2 
      ON TCTG_CTA_CATEG_TREE_ATTRIBUTE
       (cta_company_id,
        cta_name,
        cta_cat_tree_id,
        cta_next_version_id,
        cta_value)
  TABLESPACE INDX;

ANALYZE INDEX ICTG_CTA_2 COMPUTE STATISTICS;

